System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object An object that provides methods and properties to produce the HTTP response. To be added
- Constructor
  a
  To be added
  To be added
  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  System.Void `` a To be added To be added 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  System.Void `` To be added: an object of type 'string' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` a To be added To be added 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  System.Void `` To be added: an object of type 'string' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` The HTTP header name. The value for the header. Adds a header to the HTTP request. This routine merely calls AppendHeader and was originally flagged as being left here for compatibility for old ASP applications.

  Read the description in for more information.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` The cookie to add. Appends an to the response. This is equivalent to: Response.Cookies.Add (cookie). 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` The name of the HTTP header. The value for the header. Appends a new header to the HTTP response. This method will add the given header and value to the HTTP response when the headers are sent.

  If this routine is invoked after the headers have been sent to the client (for example if has been called or Buffering is off and output has been written) this will throw a an .

  A number of headers are handled specially by this routine, these are:

  "Content-Length": the value in the header must be an integer that can be parsed by Int32.Parse or an exception will be thrown. Setting this header manually will force the size of the buffer to be at most the size specified. Any further output will be ignored. This will also have the side effect of disabling "chunked" transfers for HTTP 1.1 clients.
  "Content-Type": The value will not be appended, but only a single copy of this header will be sent on the reply.
  "Transfer-Encoding": Setting this value will disable chunked transfers.
  "Cache-Control": This header will only be sent once, and it defaults to private. You can use this to work around the limitation in the property.

  If a header is appended various times the response output will contain multiple instances of the header. For example:

  `Response.AppendHeader ("MyHeader", "A"); Response.AppendHeader ("MyHeader", "B");`

  Will produce the following on the HTTP response:

  `MyHeader: A MyHeader: B`
1.0.5000.0
2.0.0.0
- Method
  System.Void `` To be added: an object of type 'string' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.String `` To be added: an object of type 'string' To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` A byte buffer to write back. Writes a byte buffer without encoding to the response stream. The contents of this buffer are sent back to the client without being altered by the current encoding of the response. 1.0.5000.0 2.0.0.0
- Property
  System.Boolean Controls whether to buffer the response before sending the data to the client. The current state of buffering. This controls whether HttpResponse should buffer the output before it is delivered to a client. The default is .

  The buffering can be changed during the execution back and forth if needed. Notice that changing the buffering state will not flush the current contents held in the output buffer, the contents will only be flushed out on the next write operation or by manually calling

  This property is the same as

  1.0.5000.0
  2.0.0.0
- Property
  System.Boolean Controls whether to buffer the response before sending the data to the client. Whether output is currently being buffered. This controls whether HttpResponse should buffer the output before it is delivered to a client. The default is .

  The buffering can be changed during the execution back and forth if needed.

  This property is the same as

  1.0.5000.0
  2.0.0.0
- Property
  System.Web.HttpCachePolicy To be added To be added: an object of type 'HttpCachePolicy' To be added 1.0.5000.0 2.0.0.0
- Property
  System.String To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0
- Property
  System.String The character set used on the HTTP response. The current character set. The character set is appended to the current content type on the "Content-Type" HTTP header. This character set is the of the ContentEncoding set on the response. 1.0.5000.0 2.0.0.0
- Method
  System.Void Clears the contents so far. This clears all the generated output from the internal buffer. 1.0.5000.0 2.0.0.0
- Method
  System.Void Clears the contents so far. The same as , this clears all the output so far on the internal buffer. 1.0.5000.0 2.0.0.0
- Method
  System.Void Clears any headers that might have been set previously. This clears all the header definitions that might have been added with .

  This throws an if the headers have already been sent to the client (for example, if the user has called the method.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void To be added To be added 1.0.5000.0 2.0.0.0
- Property
  System.Text.Encoding The encoding used for writing the response. a This is the encoding used to write the response.

  The encoding can be changed any number of times during the request processing, but the value sent on the Content-Type HTTP header is the value set at the time that the headers are sent back (the first time the contents are flushed).

  1.0.5000.0
  2.0.0.0
- Property
  System.String The value of the "Content-Type" header (identifies the MIME type of the current response). The current Content-Type value. The default value is text/html. 1.0.5000.0 2.0.0.0
- Property
  System.Web.HttpCookieCollection The Cookies that will be sent back to the client. A collection with all the cookies being sent back to the client. This starts empty and the developer can add one or more cookies to the response. `Response.Cookies.Add (new HttpCookie ("username", "miguel"));` 1.0.5000.0 2.0.0.0
- Method
  System.Void Stops processing the page. This stops procesing the page at this point.

  This aborts the current thread of execution and forces the pipeline to flush all the output that it has accumulated so far.

  Unlike this forces an immediate termination, while complete request is used to stop further stages of the application pipeline from executing and is typically used by module developers.

  This call does not return.

  1.0.5000.0
  2.0.0.0
- Property
  System.Int32 To be added To be added: an object of type 'int' To be added 1.0.5000.0 2.0.0.0
- Property
  System.DateTime To be added To be added: an object of type 'DateTime' To be added 1.0.5000.0 2.0.0.0
- Property
  System.IO.Stream To be added a To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void Flushes all the accumulated data so far. HttpResponse by default will buffer all of the output before it is sent to the client. To control the delivery of the data developers can use this method (or alternatively set the property to false).

  If chunked transfers are enabled for this response, this will try to use the chunked transfer.

  1.0.5000.0
  2.0.0.0
- Property
  2.0.0.0
  System.Text.Encoding To be added. To be added. To be added.
- Property
  System.Boolean Returns whether the client is still connected. if the client is still connected, otherwise. 1.0.5000.0 2.0.0.0
- Property
  2.0.0.0
  System.Boolean To be added. To be added. To be added.
- Property
  System.IO.TextWriter A to write the HTTP response. The textwriter. The text writer uses the encoding specified in the . This writer is TextWriter wrapper on top of the stream. 1.0.5000.0 2.0.0.0
- Property
  System.IO.Stream A write-only stream for producing the HTTP response. a This is a write-only stream for producing the HTTP response output. Any attempts to Seek or poke at the position will throw an exception.

  The stream buffering is controlled by the state.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` The value to set the header to. Adds the given value to the PICS-Label header. This sets the value of the PICS-Label HTTP header.

  See http://www.w3.org/PICS/labels.html for more details.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` The url to be redirected to. To be added This sends an HTTP 302 status code back to the client and clears all of the headers and content generated so far. The contents are replaced with a dummy HTML page that will point to the new page in case that the client does not automatically follow the redirection.

  No further processing is done after calling this method, the method does not return.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` `` The url to redirect to. Whether processing must be stopped immediately. Instructs the client to be redirected to a new url. This redirects the HTTP client to the new location.

  This sends an HTTP 302 status code back to the client and clears all of the headers and content generated so far. The contents are replaced with a dummy HTML page that will point to the new page in case that the client does not automatically follow the redirection.

  If is then processing is stopped at this point and controls is not returned to the caller.

  1.0.5000.0
  2.0.0.0
- Property
  System.String The redirection location on the HTTP headers. The redirect

  This is a low-level request, for the Location header to be complete you must also update the StatusCode to one of the valid redirection codes (3xx). See the and methods for a high-level interface to redirection.

  If set this property controls whether the header "Location" in the HTTP headers is set. If the value is the header is not sent, any other values will cause the "Location" header to be sent.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` To be added: an object of type 'string' To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` The cookie to add. Appends the given cookie to the results that will be sent back to the client. The cookie is added to the list of cookies that will be sent back to the HTTP client. 1.0.5000.0 2.0.0.0
- Property
  System.String Sets the HTTP status return. The current HTTP status. This property represents the entire status response which includes a status code and a status description.

  When this value is set, the components of it are parsed into a status code and a status description (the values can be obtained from the and properties.

  The following is a list of the RFC defined status codes:

  HTTP Status Code
  Status Description
  100
  Continue
  101
  Switching Protocols
  200
  OK
  201
  Created
  202
  Accepted
  203
  Non-Authoritative Information
  204
  No Content
  205
  Reset Content
  206
  Partial Content
  300
  Multiple Choices
  301
  Moved Permanently
  302
  Found
  303
  See Other
  304
  Not Modified
  305
  Use Proxy
  307
  Temporary Redirect
  400
  Bad Request
  401
  Unauthorized
  402
  Payment Required
  403
  Forbidden
  404
  Not Found
  405
  Method Not Allowed
  406
  Not Acceptable
  407
  Proxy Authentication Required
  408
  Request Time-out
  409
  Conflict
  410
  Gone
  411
  Length Required
  412
  Precondition Failed
  413
  Request Entity Too Large
  414
  Request-URI Too Large
  415
  Unsupported Media Type
  416
  Requested range not satisfiable
  417
  Expectation Failed
  500
  Internal Server Error
  501
  Not Implemented
  502
  Bad Gateway
  503
  Service Unavailable
  504
  Gateway Time-out
  505
  HTTP Version not supported 1.0.5000.0 2.0.0.0
- Property
  System.Int32 The HTTP status code that will be returned to the client. The current status code. Defaults to 200. This property controls the HTTP status code that is sent back to the HTTP client.

  If the setter method is called after the headers have been set, an will be thrown.

  The following is a list of the RFC defined status codes:

  HTTP Status Code
  Status Description
  100
  Continue
  101
  Switching Protocols
  200
  OK
  201
  Created
  202
  Accepted
  203
  Non-Authoritative Information
  204
  No Content
  205
  Reset Content
  206
  Partial Content
  300
  Multiple Choices
  301
  Moved Permanently
  302
  Found
  303
  See Other
  304
  Not Modified
  305
  Use Proxy
  307
  Temporary Redirect
  400
  Bad Request
  401
  Unauthorized
  402
  Payment Required
  403
  Forbidden
  404
  Not Found
  405
  Method Not Allowed
  406
  Not Acceptable
  407
  Proxy Authentication Required
  408
  Request Time-out
  409
  Conflict
  410
  Gone
  411
  Length Required
  412
  Precondition Failed
  413
  Request Entity Too Large
  414
  Request-URI Too Large
  415
  Unsupported Media Type
  416
  Requested range not satisfiable
  417
  Expectation Failed
  500
  Internal Server Error
  501
  Not Implemented
  502
  Bad Gateway
  503
  Service Unavailable
  504
  Gateway Time-out
  505
  HTTP Version not supported 1.0.5000.0 2.0.0.0
- Property
  System.String The HTTP description sent on the response. The current status description that will be returned to the client. The status description is described in RFC 2616, section 6.1.1

  The following is a list of the RFC defined status codes:

  HTTP Status Code
  Status Description
  100
  Continue
  101
  Switching Protocols
  200
  OK
  201
  Created
  202
  Accepted
  203
  Non-Authoritative Information
  204
  No Content
  205
  Reset Content
  206
  Partial Content
  300
  Multiple Choices
  301
  Moved Permanently
  302
  Found
  303
  See Other
  304
  Not Modified
  305
  Use Proxy
  307
  Temporary Redirect
  400
  Bad Request
  401
  Unauthorized
  402
  Payment Required
  403
  Forbidden
  404
  Not Found
  405
  Method Not Allowed
  406
  Not Acceptable
  407
  Proxy Authentication Required
  408
  Request Time-out
  409
  Conflict
  410
  Gone
  411
  Length Required
  412
  Precondition Failed
  413
  Request Entity Too Large
  414
  Request-URI Too Large
  415
  Unsupported Media Type
  416
  Requested range not satisfiable
  417
  Expectation Failed
  500
  Internal Server Error
  501
  Not Implemented
  502
  Bad Gateway
  503
  Service Unavailable
  504
  Gateway Time-out
  505
  HTTP Version not supported 1.0.5000.0 2.0.0.0
- Property
  System.Boolean Controls whether the page will generate any output. Whether content is currently being supressed (boolean). If the value is set to true no output will be produced. The value can be altered any number of times, it is only consulted at the last stage of processing the request. 1.0.5000.0 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  System.Void `` A character to write. Writes a char to the HTTP ouput stream. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` The object to write out. Writes the object to the HTTP response stream. This will invoke method and then write the result to the output stream using the current encoding. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` The string to write. Writes a string to the HTTP output stream. The string is written to the HTTP output stream using the encoding specified in . 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` The buffer to write from. Index into the buffer to start writing from. Number of bytes to write. Writes an array of chars to the HTTP output stream. This writes the specified number of bytes to the HTTP output stream. If either int arguments are negative or if the operation would overflow the buffer an exception is thrown. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` A file to send back. Writes the contents of a file back to the client. If buffering has been turned off, the file will be sent right away. If buffering has been turned on, the file will be sent as part of the flushing stage. The method will fail if you send a temporary file that is deleted before your process completes.

  If you need to send the contents of a temporary file, consider using the method to read the contents of the file into memory.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` `` The filename to send back. Whether to load the file into the in-memory buffer, or queue the file for sending later. Writes the contents of a file back to the client. Sends the contents of the file back to the client. If is the contents of the file are loaded into the output buffer, this is convenient if the data to be sent is a temporary file that will be deleted before the request processing is completed. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` An operating system handle to a file. Offset in the file handle to start sending data from. Total size of bytes to send back to the client. Writes a section of a file handle to the response stream. This sends the contents of the file to the client. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` The filename. Starting offset in the file. The total number of bytes to send back. Writes a section of a file back to the response stream. This sends the contents of the file to the client. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void `` To be added. To be added. To be added.